Configuration
Save encrypted installation SMTP settings
PUT
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
- body
host*stringMatch
^[^\s/:]+$Length
1 <= length <= 253port*integerRange
1 <= value <= 65535secure*booleanfrom*stringMatch
^[^\r\n]+@[^\r\n]+$Length
3 <= length <= 320username*stringLength
length <= 320enabled*booleanpassword?|nullResponse for status 200
application/json- response
host*stringport*integerRange
1 <= value <= 65535secure*booleanfrom*stringusername*stringLength
length <= 320enabled*booleanhasPassword*booleansource*stringValue in
"database""deployment""none"curl -X PUT 'https://postbot.example/api/settings/email' \
-H 'Content-Type: application/json' \
-d '{
"host": "string",
"port": 1,
"secure": true,
"from": "string",
"username": "string",
"enabled": true
}'Example Response
{
"host": "string",
"port": 1,
"secure": true,
"from": "string",
"username": "string",
"enabled": true,
"hasPassword": true,
"source": "database"
}